### Method

# Gtk TreeSelectionget_mode

deprecated: 4.10

#### Declaration [src]

    GtkSelectionMode
    gtk_tree_selection_get_mode (
      GtkTreeSelection* selection
    )

#### Description [src]

Gets the selection mode for `selection`. See gtk_tree_selection_set_mode().

Deprecated since: 4.10

Use GtkListView or GtkColumnView.

Gets property | `Gtk.TreeSelection:mode`

#### Return value

Type: `GtkSelectionMode`

The current selection mode.